> ## Documentation Index
> Fetch the complete documentation index at: https://developer.whilter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Tryon Status

> Get Virtual Tryon Status



## OpenAPI

````yaml GET /vton/status/{requestId}
openapi: 3.0.1
info:
  title: Charp.ai API
  description: >-
    API ecosystem for vendor management, authentication, campaign management,
    and tools for enhancing campaign execution including realtime media
    generation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://whilter-api-host
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Operations related to API authentication
  - name: Realtime Media
    description: Operations for generating personalized videos in real-time
  - name: Webhooks
    description: Webhook endpoints for receiving notifications
  - name: Virtual Try-On
    description: Operations related to virtual try-on functionality
  - name: Tasks
    description: Operations related to task management
paths:
  /vton/status/{requestId}:
    get:
      tags:
        - Virtual Try-On
      description: Get Virtual Tryon Status
      parameters:
        - name: requestId
          in: path
          description: Unique identifier of the Virtual Tryon request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Virtual Tryon status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualTryonResponse'
components:
  schemas:
    VirtualTryonResponse:
      type: object
      properties:
        request-id:
          type: string
          description: Unique identifier of the Virtual Tryon request
        status:
          type: string
          description: Status of the Virtual Tryon request
          enum:
            - SUCCESS
            - FAILURE
        generated-output:
          type: string
          format: uri
          description: S3 URL of the generated output image
      required:
        - url
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````